# Package org.apache.velocity.tools.view.jsp.jspimpl

Contains JSP-simulating classes that allows the use of a Velocity environment under JSP specific classes, like tags.

See: Description

Class Summary
ExternalWriterHttpServletResponse: Copied from Tiles Request sandbox.
JspUtils: Some utilities to work with JSP.
JspWriterImpl: Copied and modified from Tomcat 6.0.x source.
VelocityBodyContent: Publishes a block inside a Velocity directive as a `BodyContent`.
VelocityJspFragment: Exposes a directive body block as a `JspFragment`, i.e.
VelocityPageContext: Exposes a Velocity `Context`, a request and a response as a `PageContext`.

Exception Summary
VelocityToolsJspException: An exception thrown when something bad happens in JSP support for Velocity.

## Package org.apache.velocity.tools.view.jsp.jspimpl Description

Contains JSP-simulating classes that allows the use of a Velocity environment under JSP specific classes, like tags.